/*
 *  TOPPERS ECHONET Lite Communication Middleware
 * 
 *  Copyright (C) 2018-2019 Cores Co., Ltd. Japan
 * 
 *  上記著作権者は，以下の(1)～(4)の条件を満たす場合に限り，本ソフトウェ
 *  ア（本ソフトウェアを改変したものを含む．以下同じ）を使用・複製・改
 *  変・再配布（以下，利用と呼ぶ）することを無償で許諾する．
 *  (1) 本ソフトウェアをソースコードの形で利用する場合には，上記の著作
 *      権表示，この利用条件および下記の無保証規定が，そのままの形でソー
 *      スコード中に含まれていること．
 *  (2) 本ソフトウェアを，ライブラリ形式など，他のソフトウェア開発に使
 *      用できる形で再配布する場合には，再配布に伴うドキュメント（利用
 *      者マニュアルなど）に，上記の著作権表示，この利用条件および下記
 *      の無保証規定を掲載すること．
 *  (3) 本ソフトウェアを，機器に組み込むなど，他のソフトウェア開発に使
 *      用できない形で再配布する場合には，次のいずれかの条件を満たすこ
 *      と．
 *    (a) 再配布に伴うドキュメント（利用者マニュアルなど）に，上記の著
 *        作権表示，この利用条件および下記の無保証規定を掲載すること．
 *    (b) 再配布の形態を，別に定める方法によって，TOPPERSプロジェクトに
 *        報告すること．
 *  (4) 本ソフトウェアの利用により直接的または間接的に生じるいかなる損
 *      害からも，上記著作権者およびTOPPERSプロジェクトを免責すること．
 *      また，本ソフトウェアのユーザまたはエンドユーザからのいかなる理
 *      由に基づく請求からも，上記著作権者およびTOPPERSプロジェクトを
 *      免責すること．
 * 
 *  本ソフトウェアは，無保証で提供されているものである．上記著作権者お
 *  よびTOPPERSプロジェクトは，本ソフトウェアに関して，特定の使用目的
 *  に対する適合性も含めて，いかなる保証も行わない．また，本ソフトウェ
 *  アの利用により直接的または間接的に生じたいかなる損害に関しても，そ
 *  の責任を負わない．
 * 
 *  $Id$
 */

/*
 * 東雲フォント
 * http://openlab.ring.gr.jp/efont/shinonome/
 * Licence
 * Public Domain
 */


#include "fonts.h"

/*
 *  001
 */
static const uint8_t Font16_01[] = {
	8, 16,
	1, 16,
	0x10, //    #    
	0x10, //    #    
	0x38, //   ###   
	0x38, //   ###   
	0x7C, //  #####  
	0x7C, //  #####  
	0xFE, // ####### 
	0xFE, // ####### 
	0x7C, //  #####  
	0x7C, //  #####  
	0x38, //   ###   
	0x38, //   ###   
	0x10, //    #    
	0x10, //    #    
	0x00, //         
	0x00  //         
};

/*
 *  002
 */
static const uint8_t Font16_02[] = {
	8, 16,
	1, 16,
	0x55, //  # # # #
	0xAA, // # # # # 
	0x55, //  # # # #
	0xAA, // # # # # 
	0x55, //  # # # #
	0xAA, // # # # # 
	0x55, //  # # # #
	0xAA, // # # # # 
	0x55, //  # # # #
	0xAA, // # # # # 
	0x55, //  # # # #
	0xAA, // # # # # 
	0x55, //  # # # #
	0xAA, // # # # # 
	0x00, //         
	0x00  //         
};

/*
 *  003
 */
static const uint8_t Font16_03[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x88, // #   #   
	0x88, // #   #   
	0x88, // #   #   
	0xF8, // #####   
	0x88, // #   #   
	0x88, // #   #   
	0x88, // #   #   
	0x00, //         
	0x3E, //   ##### 
	0x08, //     #   
	0x08, //     #   
	0x08, //     #   
	0x08, //     #   
	0x08, //     #   
	0x08  //     #   
};

/*
 *  004
 */
static const uint8_t Font16_04[] = {
	8, 16,
	1, 16,
	0x00, //         
	0xF8, // #####   
	0x80, // #       
	0x80, // #       
	0xF0, // ####    
	0x80, // #       
	0x80, // #       
	0x80, // #       
	0x3E, //   ##### 
	0x20, //   #     
	0x20, //   #     
	0x3C, //   ####  
	0x20, //   #     
	0x20, //   #     
	0x20, //   #     
	0x00  //         
};

/*
 *  005
 */
static const uint8_t Font16_05[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x70, //  ###    
	0x88, // #   #   
	0x80, // #       
	0x80, // #       
	0x80, // #       
	0x88, // #   #   
	0x70, //  ###    
	0x00, //         
	0x3C, //   ####  
	0x22, //   #   # 
	0x22, //   #   # 
	0x3C, //   ####  
	0x28, //   # #   
	0x24, //   #  #  
	0x22  //   #   # 
};

/*
 *  006
 */
static const uint8_t Font16_06[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x80, // #       
	0x80, // #       
	0x80, // #       
	0x80, // #       
	0x80, // #       
	0x80, // #       
	0xF8, // #####   
	0x00, //         
	0x3E, //   ##### 
	0x20, //   #     
	0x20, //   #     
	0x3C, //   ####  
	0x20, //   #     
	0x20, //   #     
	0x20  //   #     
};

/*
 *  007
 */
static const uint8_t Font16_07[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x00, //         
	0x38, //   ###   
	0x44, //  #   #  
	0x44, //  #   #  
	0x44, //  #   #  
	0x38, //   ###   
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00  //         
};

/*
 *  008
 */
static const uint8_t Font16_08[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x00, //         
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0xFE, // ####### 
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x00, //         
	0xFE, // ####### 
	0x00, //         
	0x00, //         
	0x00  //         
};

/*
 *  009
 */
static const uint8_t Font16_09[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x84, // #    #  
	0xC4, // ##   #  
	0xA4, // # #  #  
	0xA4, // # #  #  
	0x94, // #  # #  
	0x94, // #  # #  
	0x8C, // #   ##  
	0x84, // #    #  
	0x20, //   #     
	0x20, //   #     
	0x20, //   #     
	0x20, //   #     
	0x20, //   #     
	0x20, //   #     
	0x3E  //   ##### 
};

/*
 *  010
 */
static const uint8_t Font16_10[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x00, //         
	0x88, // #   #   
	0x88, // #   #   
	0x88, // #   #   
	0x50, //  # #    
	0x50, //  # #    
	0x20, //   #     
	0x00, //         
	0x3E, //   ##### 
	0x08, //     #   
	0x08, //     #   
	0x08, //     #   
	0x08, //     #   
	0x08, //     #   
	0x00  //         
};

/*
 *  011
 */
static const uint8_t Font16_11[] = {
	8, 16,
	1, 16,
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0xF0, // ####    
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00  //         
};

/*
 *  012
 */
static const uint8_t Font16_12[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0xF0, // ####    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10  //    #    
};

/*
 *  013
 */
static const uint8_t Font16_13[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x1F, //    #####
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10  //    #    
};

/*
 *  014
 */
static const uint8_t Font16_14[] = {
	8, 16,
	1, 16,
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x1F, //    #####
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00  //         
};

/*
 *  015
 */
static const uint8_t Font16_15[] = {
	8, 16,
	1, 16,
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0xFF, // ########
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10  //    #    
};

/*
 *  016
 */
static const uint8_t Font16_16[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x00, //         
	0xFF, // ########
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00  //         
};

/*
 *  017
 */
static const uint8_t Font16_17[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0xFF, // ########
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00  //       
};

/*
 *  018
 */
static const uint8_t Font16_18[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0xFF, // ########
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00  //       
};

/*
 *  019
 */
static const uint8_t Font16_19[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0xFF, // ########
	0x00, //         
	0x00, //         
	0x00, //         
	0x00  //       
};

/*
 *  020
 */
static const uint8_t Font16_20[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0xFF, // ########
	0x00  //         
};

/*
 *  021
 */
static const uint8_t Font16_21[] = {
	8, 16,
	1, 16,
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x1F, //    #####
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10  //    #    
};

/*
 *  022
 */
static const uint8_t Font16_22[] = {
	8, 16,
	1, 16,
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0xF0, // ####    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10  //    #    
};

/*
 *  023
 */
static const uint8_t Font16_23[] = {
	8, 16,
	1, 16,
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0xFF, // ########
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00  //         
};

/*
 *  024
 */
static const uint8_t Font16_24[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0xFF, // ########
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10  //    #    
};

/*
 *  025
 */
static const uint8_t Font16_25[] = {
	8, 16,
	1, 16,
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10  //    #    
};

/*
 *  026
 */
static const uint8_t Font16_26[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x00, //         
	0x02, //       # 
	0x0C, //     ##  
	0x30, //   ##    
	0xC0, // ##      
	0x30, //   ##    
	0x0C, //     ##  
	0x02, //       # 
	0x00, //         
	0xFE, // ####### 
	0x00, //         
	0xFE, // ####### 
	0x00, //         
	0x00, //         
	0x00  //         
};

/*
 *  027
 */
static const uint8_t Font16_27[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x00, //         
	0x00, //         
	0x80, // #       
	0x60, //  ##     
	0x18, //    ##   
	0x06, //      ## 
	0x18, //    ##   
	0x60, //  ##     
	0x80, // #       
	0xFE, // ####### 
	0x00, //         
	0xFE, // ####### 
	0x00, //         
	0x00, //         
	0x00  //         
};

/*
 *  028
 */
static const uint8_t Font16_28[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0xFE, // ####### 
	0x24, //   #  #  
	0x24, //   #  #  
	0x24, //   #  #  
	0x24, //   #  #  
	0x44, //  #   #  
	0x84, // #    #  
	0x00, //         
	0x00  //         
};

/*
 *  029
 */
static const uint8_t Font16_29[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x02, //       # 
	0x04, //      #  
	0x08, //     #   
	0xFE, // ####### 
	0x10, //    #    
	0xFE, // ####### 
	0x20, //   #     
	0x40, //  #      
	0x80, // #       
	0x00, //         
	0x00, //         
	0x00  //         
};

/*
 *  030
 */
static const uint8_t Font16_30[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x0C, //     ##  
	0x12, //    #  # 
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x7C, //  #####  
	0x10, //    #    
	0x10, //    #    
	0x3C, //   ####  
	0x52, //  # #  # 
	0x20, //   #     
	0x00  //         
};

/*
 *  031
 */
static const uint8_t Font16_31[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x10, //    #    
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00  //         
};

/*
 *  SPACE
 */
static const uint8_t Font16_32[] = {
	8, 16,
	0, 0
};

/*
 *  !
 */
static const uint8_t Font16_33[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x18, //    ##   
	0x18, //    ##   
	0x18, //    ##   
	0x18, //    ##   
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x00, //         
	0x00, //         
	0x10, //    #    
	0x10, //    #    
	0x00  //         
};

/*
 *  '!'
 */
static const uint8_t Font16_34[] = {
	8, 16,
	1, 16,
	0x6C, //  ## ##  
	0x24, //   #  #  
	0x24, //   #  #  
	0x48, //  #  #   
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00  //         
};

/*
 *  '#'
 */
static const uint8_t Font16_35[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x12, //    #  # 
	0x12, //    #  # 
	0x12, //    #  # 
	0x7F, //  #######
	0x24, //   #  #  
	0x24, //   #  #  
	0x24, //   #  #  
	0x24, //   #  #  
	0x24, //   #  #  
	0xFE, // ####### 
	0x48, //  #  #   
	0x48, //  #  #   
	0x48, //  #  #   
	0x48, //  #  #   
	0x00  //         
};

/*
 *  '$'
 */
static const uint8_t Font16_36[] = {
	8, 16,
	1, 16,
	0x10, //    #    
	0x38, //   ###   
	0x54, //  # # #  
	0x92, // #  #  # 
	0x92, // #  #  # 
	0x90, // #  #    
	0x50, //  # #    
	0x38, //   ###   
	0x14, //    # #  
	0x12, //    #  # 
	0x92, // #  #  # 
	0x92, // #  #  # 
	0x54, //  # # #  
	0x38, //   ###   
	0x10, //    #    
	0x10  //    #    
};

/*
 *  '%'
 */
static const uint8_t Font16_37[] = {
	8, 16,
	1, 16,
	0x01, //        #
	0x61, //  ##    #
	0x92, // #  #  # 
	0x92, // #  #  # 
	0x94, // #  # #  
	0x94, // #  # #  
	0x68, //  ## #   
	0x08, //     #   
	0x10, //    #    
	0x16, //    # ## 
	0x29, //   # #  #
	0x29, //   # #  #
	0x49, //  #  #  #
	0x49, //  #  #  #
	0x86, // #    ## 
	0x80  // #       
};

/*
 *  '&'
 */
static const uint8_t Font16_38[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x38, //   ###   
	0x44, //  #   #  
	0x44, //  #   #  
	0x44, //  #   #  
	0x28, //   # #   
	0x10, //    #    
	0x30, //   ##    
	0x4A, //  #  # # 
	0x8A, // #   # # 
	0x84, // #    #  
	0x84, // #    #  
	0x4A, //  #  # # 
	0x31, //   ##   #
	0x00, //         
	0x00  //         
};

/*
 *  '''
 */
static const uint8_t Font16_39[] = {
	8, 16,
	1, 16,
	0x60, //  ##     
	0x20, //   #     
	0x20, //   #     
	0x40, //  #      
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00  //         
};

/*
 *  '('
 */
static const uint8_t Font16_40[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x02, //       # 
	0x04, //      #  
	0x08, //     #   
	0x08, //     #   
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x08, //     #   
	0x08, //     #   
	0x04, //      #  
	0x02  //       # 
};

/*
 *  ')'
 */
static const uint8_t Font16_41[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x40, //  #      
	0x20, //   #     
	0x10, //    #    
	0x10, //    #    
	0x08, //     #   
	0x08, //     #   
	0x08, //     #   
	0x08, //     #   
	0x08, //     #   
	0x08, //     #   
	0x08, //     #   
	0x10, //    #    
	0x10, //    #    
	0x20, //   #     
	0x40  //  #      
};

/*
 *  '*'
 */
static const uint8_t Font16_42[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x10, //    #    
	0x92, // #  #  # 
	0x54, //  # # #  
	0x38, //   ###   
	0x54, //  # # #  
	0x92, // #  #  # 
	0x10, //    #    
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00  //         
};

/*
 *  '+'
 */
static const uint8_t Font16_43[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x00, //         
	0x00, //         
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0xFE, // ####### 
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x00, //         
	0x00, //         
	0x00, //         
	0x00  //         
};

/*
 *  ','
 */
static const uint8_t Font16_44[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x60, //  ##     
	0x20, //   #     
	0x20, //   #     
	0x40  //  #      
};

/*
 *  '-'
 */
static const uint8_t Font16_45[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0xFE, // ####### 
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00  //         
};

/*
 *  '.'
 */
static const uint8_t Font16_46[] = {
	5, 12,
	1, 16,
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x60, //  ##     
	0x60, //  ##     
	0x00, //         
	0x00  //         
};

/*
 *  '/'
 */
static const uint8_t Font16_47[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x02, //       # 
	0x02, //       # 
	0x04, //      #  
	0x04, //      #  
	0x08, //     #   
	0x08, //     #   
	0x10, //    #    
	0x10, //    #    
	0x20, //   #     
	0x20, //   #     
	0x40, //  #      
	0x40, //  #      
	0x80, // #       
	0x80, // #       
	0x00  //         
};

/*
 *  '0'
 */
static const uint8_t Font16_48[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x18, //    ##   
	0x24, //   #  #  
	0x24, //   #  #  
	0x42, //  #    # 
	0x42, //  #    # 
	0x42, //  #    # 
	0x42, //  #    # 
	0x42, //  #    # 
	0x42, //  #    # 
	0x42, //  #    # 
	0x24, //   #  #  
	0x24, //   #  #  
	0x18, //    ##   
	0x00, //         
	0x00  //         
};

/*
 *  '1'
 */
static const uint8_t Font16_49[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x10, //    #    
	0x10, //    #    
	0x30, //   ##    
	0x50, //  # #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x00, //         
	0x00  //         
};

/*
 *  '2'
 */
static const uint8_t Font16_50[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x18, //    ##   
	0x24, //   #  #  
	0x42, //  #    # 
	0x42, //  #    # 
	0x02, //       # 
	0x04, //      #  
	0x08, //     #   
	0x10, //    #    
	0x20, //   #     
	0x20, //   #     
	0x40, //  #      
	0x40, //  #      
	0x7E, //  ###### 
	0x00, //         
	0x00  //         
};

/*
 *  '3'
 */
static const uint8_t Font16_51[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x38, //   ###   
	0x44, //  #   #  
	0x82, // #     # 
	0x82, // #     # 
	0x02, //       # 
	0x04, //      #  
	0x38, //   ###   
	0x04, //      #  
	0x02, //       # 
	0x82, // #     # 
	0x82, // #     # 
	0x44, //  #   #  
	0x38, //   ###   
	0x00, //         
	0x00  //         
};

/*
 *  '4'
 */
static const uint8_t Font16_52[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x08, //     #   
	0x18, //    ##   
	0x18, //    ##   
	0x28, //   # #   
	0x28, //   # #   
	0x48, //  #  #   
	0x48, //  #  #   
	0x88, // #   #   
	0xFE, // ####### 
	0x08, //     #   
	0x08, //     #   
	0x08, //     #   
	0x08, //     #   
	0x00, //         
	0x00  //         
};

/*
 *  '5'
 */
static const uint8_t Font16_53[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x7C, //  #####  
	0x40, //  #      
	0x40, //  #      
	0x40, //  #      
	0xB8, // # ###   
	0xC4, // ##   #  
	0x82, // #     # 
	0x02, //       # 
	0x02, //       # 
	0x82, // #     # 
	0x82, // #     # 
	0x44, //  #   #  
	0x38, //   ###   
	0x00, //         
	0x00  //         
};

/*
 *  '6'
 */
static const uint8_t Font16_54[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x38, //   ###   
	0x44, //  #   #  
	0x40, //  #      
	0x80, // #       
	0x80, // #       
	0xB8, // # ###   
	0xC4, // ##   #  
	0x82, // #     # 
	0x82, // #     # 
	0x82, // #     # 
	0x82, // #     # 
	0x44, //  #   #  
	0x38, //   ###   
	0x00, //         
	0x00  //         
};

/*
 *  '7'
 */
static const uint8_t Font16_55[] = {
	8, 16,
	1, 16,
	0x00, //         
	0xFE, // ####### 
	0x02, //       # 
	0x04, //      #  
	0x04, //      #  
	0x08, //     #   
	0x08, //     #   
	0x08, //     #   
	0x08, //     #   
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x00  //         
};

/*
 *  '8'
 */
static const uint8_t Font16_56[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x38, //   ###   
	0x44, //  #   #  
	0x82, // #     # 
	0x82, // #     # 
	0x82, // #     # 
	0x44, //  #   #  
	0x38, //   ###   
	0x44, //  #   #  
	0x82, // #     # 
	0x82, // #     # 
	0x82, // #     # 
	0x44, //  #   #  
	0x38, //   ###   
	0x00, //         
	0x00  //         
};

/*
 *  '9'
 */
static const uint8_t Font16_57[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x38, //   ###   
	0x44, //  #   #  
	0x82, // #     # 
	0x82, // #     # 
	0x82, // #     # 
	0x82, // #     # 
	0x46, //  #   ## 
	0x3A, //   ### # 
	0x02, //       # 
	0x02, //       # 
	0x82, // #     # 
	0x44, //  #   #  
	0x38, //   ###   
	0x00, //         
	0x00  //         
};

/*
 *  ':'
 */
static const uint8_t Font16_58[] = {
	5, 12,
	1, 16,
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x18, //    ##   
	0x18, //    ##   
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x18, //    ##   
	0x18, //    ##   
	0x00, //         
	0x00, //         
	0x00  //         
};

/*
 *  ';'
 */
static const uint8_t Font16_59[] = {
	5, 12,
	1, 16,
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x18, //    ##   
	0x18, //    ##   
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x18, //    ##   
	0x08, //     #   
	0x08, //     #   
	0x10, //    #    
	0x00, //         
	0x00  //         
};

/*
 *  '<'
 */
static const uint8_t Font16_60[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x00, //         
	0x00, //         
	0x02, //       # 
	0x04, //      #  
	0x08, //     #   
	0x10, //    #    
	0x20, //   #     
	0x20, //   #     
	0x10, //    #    
	0x08, //     #   
	0x04, //      #  
	0x02, //       # 
	0x00, //         
	0x00, //         
	0x00  //         
};

/*
 *  '='
 */
static const uint8_t Font16_61[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0xFE, // ####### 
	0x00, //         
	0x00, //         
	0x00, //         
	0xFE, // ####### 
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00  //         
};

/*
 *  '>'
 */
static const uint8_t Font16_62[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x00, //         
	0x00, //         
	0x40, //  #      
	0x20, //   #     
	0x10, //    #    
	0x08, //     #   
	0x04, //      #  
	0x04, //      #  
	0x08, //     #   
	0x10, //    #    
	0x20, //   #     
	0x40, //  #      
	0x00, //         
	0x00, //         
	0x00  //         
};

/*
 *  '?'
 */
static const uint8_t Font16_63[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x38, //   ###   
	0x44, //  #   #  
	0x82, // #     # 
	0x82, // #     # 
	0x82, // #     # 
	0x04, //      #  
	0x08, //     #   
	0x08, //     #   
	0x10, //    #    
	0x10, //    #    
	0x00, //         
	0x00, //         
	0x10, //    #    
	0x10, //    #    
	0x00  //         
};

/*
 *  '@'
 */
static const uint8_t Font16_64[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x18, //    ##   
	0x24, //   #  #  
	0x42, //  #    # 
	0x5A, //  # ## # 
	0xB5, // # ## # #
	0xA5, // # #  # #
	0xA5, // # #  # #
	0xA5, // # #  # #
	0x9A, // #  ## # 
	0x40, //  #      
	0x40, //  #      
	0x22, //   #   # 
	0x1C, //    ###  
	0x00, //         
	0x00  //         
};

/*
 *  'A'
 */
static const uint8_t Font16_65[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x10, //    #    
	0x10, //    #    
	0x28, //   # #   
	0x28, //   # #   
	0x28, //   # #   
	0x44, //  #   #  
	0x44, //  #   #  
	0x44, //  #   #  
	0x7C, //  #####  
	0x82, // #     # 
	0x82, // #     # 
	0x82, // #     # 
	0x82, // #     # 
	0x00, //         
	0x00  //         
};

/*
 *  'B'
 */
static const uint8_t Font16_66[] = {
	8, 16,
	1, 16,
	0x00, //         
	0xF0, // ####    
	0x88, // #   #   
	0x84, // #    #  
	0x84, // #    #  
	0x84, // #    #  
	0x88, // #   #   
	0xF8, // #####   
	0x84, // #    #  
	0x82, // #     # 
	0x82, // #     # 
	0x82, // #     # 
	0x84, // #    #  
	0xF8, // #####   
	0x00, //         
	0x00  //         
};

/*
 *  'C'
 */
static const uint8_t Font16_67[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x38, //   ###   
	0x44, //  #   #  
	0x42, //  #    # 
	0x80, // #       
	0x80, // #       
	0x80, // #       
	0x80, // #       
	0x80, // #       
	0x80, // #       
	0x80, // #       
	0x42, //  #    # 
	0x44, //  #   #  
	0x38, //   ###   
	0x00, //         
	0x00  //         
};

/*
 *  'D'
 */
static const uint8_t Font16_68[] = {
	8, 16,
	1, 16,
	0x00, //         
	0xF0, // ####    
	0x88, // #   #   
	0x84, // #    #  
	0x84, // #    #  
	0x82, // #     # 
	0x82, // #     # 
	0x82, // #     # 
	0x82, // #     # 
	0x82, // #     # 
	0x84, // #    #  
	0x84, // #    #  
	0x88, // #   #   
	0xF0, // ####    
	0x00, //         
	0x00  //         
};

/*
 *  'E'
 */
static const uint8_t Font16_69[] = {
	8, 16,
	1, 16,
	0x00, //         
	0xFE, // ####### 
	0x80, // #       
	0x80, // #       
	0x80, // #       
	0x80, // #       
	0x80, // #       
	0xFC, // ######  
	0x80, // #       
	0x80, // #       
	0x80, // #       
	0x80, // #       
	0x80, // #       
	0xFE, // ####### 
	0x00, //         
	0x00  //         
};

/*
 *  'F'
 */
static const uint8_t Font16_70[] = {
	8, 16,
	1, 16,
	0x00, //         
	0xFE, // ####### 
	0x80, // #       
	0x80, // #       
	0x80, // #       
	0x80, // #       
	0x80, // #       
	0xFC, // ######  
	0x80, // #       
	0x80, // #       
	0x80, // #       
	0x80, // #       
	0x80, // #       
	0x80, // #       
	0x00, //         
	0x00  //         
};

/*
 *  'G'
 */
static const uint8_t Font16_71[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x18, //    ##   
	0x24, //   #  #  
	0x42, //  #    # 
	0x40, //  #      
	0x80, // #       
	0x80, // #       
	0x8E, // #   ### 
	0x82, // #     # 
	0x82, // #     # 
	0x82, // #     # 
	0x42, //  #    # 
	0x66, //  ##  ## 
	0x1A, //    ## # 
	0x00, //         
	0x00  //         
};

/*
 *  'H'
 */
static const uint8_t Font16_72[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x82, // #     # 
	0x82, // #     # 
	0x82, // #     # 
	0x82, // #     # 
	0x82, // #     # 
	0x82, // #     # 
	0xFE, // ####### 
	0x82, // #     # 
	0x82, // #     # 
	0x82, // #     # 
	0x82, // #     # 
	0x82, // #     # 
	0x82, // #     # 
	0x00, //         
	0x00  //         
};

/*
 *  'I'
 */
static const uint8_t Font16_73[] = {
	5, 12,
	1, 16,
	0x00, //         
	0x38, //   ###   
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x38, //   ###   
	0x00, //         
	0x00  //         
};

/*
 *  'J'
 */
static const uint8_t Font16_74[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x02, //       # 
	0x02, //       # 
	0x02, //       # 
	0x02, //       # 
	0x02, //       # 
	0x02, //       # 
	0x02, //       # 
	0x02, //       # 
	0x02, //       # 
	0x02, //       # 
	0x42, //  #    # 
	0x24, //   #  #  
	0x18, //    ##   
	0x00, //         
	0x00  //         
};

/*
 *  'K'
 */
static const uint8_t Font16_75[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x42, //  #    # 
	0x42, //  #    # 
	0x44, //  #   #  
	0x44, //  #   #  
	0x48, //  #  #   
	0x58, //  # ##   
	0x68, //  ## #   
	0x64, //  ##  #  
	0x44, //  #   #  
	0x42, //  #    # 
	0x42, //  #    # 
	0x41, //  #     #
	0x41, //  #     #
	0x00, //         
	0x00  //         
};

/*
 *  'L'
 */
static const uint8_t Font16_76[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x40, //  #      
	0x40, //  #      
	0x40, //  #      
	0x40, //  #      
	0x40, //  #      
	0x40, //  #      
	0x40, //  #      
	0x40, //  #      
	0x40, //  #      
	0x40, //  #      
	0x40, //  #      
	0x40, //  #      
	0x7E, //  ###### 
	0x00, //         
	0x00  //         
};

/*
 *  'M'
 */
static const uint8_t Font16_77[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x82, // #     # 
	0x82, // #     # 
	0xC6, // ##   ## 
	0xC6, // ##   ## 
	0xC6, // ##   ## 
	0xAA, // # # # # 
	0xAA, // # # # # 
	0xAA, // # # # # 
	0x92, // #  #  # 
	0x92, // #  #  # 
	0x92, // #  #  # 
	0x92, // #  #  # 
	0x82, // #     # 
	0x00, //         
	0x00  //         
};

/*
 *  'N'
 */
static const uint8_t Font16_78[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x82, // #     # 
	0xC2, // ##    # 
	0xC2, // ##    # 
	0xA2, // # #   # 
	0xA2, // # #   # 
	0x92, // #  #  # 
	0x92, // #  #  # 
	0x92, // #  #  # 
	0x8A, // #   # # 
	0x8A, // #   # # 
	0x86, // #    ## 
	0x86, // #    ## 
	0x82, // #     # 
	0x00, //         
	0x00  //         
};

/*
 *  'O'
 */
static const uint8_t Font16_79[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x38, //   ###   
	0x44, //  #   #  
	0x44, //  #   #  
	0x82, // #     # 
	0x82, // #     # 
	0x82, // #     # 
	0x82, // #     # 
	0x82, // #     # 
	0x82, // #     # 
	0x82, // #     # 
	0x44, //  #   #  
	0x44, //  #   #  
	0x38, //   ###   
	0x00, //         
	0x00  //         
};

/*
 *  'P'
 */
static const uint8_t Font16_80[] = {
	8, 16,
	1, 16,
	0x00, //         
	0xF8, // #####   
	0x84, // #    #  
	0x82, // #     # 
	0x82, // #     # 
	0x82, // #     # 
	0x84, // #    #  
	0xF8, // #####   
	0x80, // #       
	0x80, // #       
	0x80, // #       
	0x80, // #       
	0x80, // #       
	0x80, // #       
	0x00, //         
	0x00  //         
};

/*
 *  'Q'
 */
static const uint8_t Font16_81[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x38, //   ###   
	0x44, //  #   #  
	0x44, //  #   #  
	0x82, // #     # 
	0x82, // #     # 
	0x82, // #     # 
	0x82, // #     # 
	0x82, // #     # 
	0x82, // #     # 
	0xBA, // # ### # 
	0x44, //  #   #  
	0x44, //  #   #  
	0x38, //   ###   
	0x08, //     #   
	0x06  //      ## 
};

/*
 *  'R'
 */
static const uint8_t Font16_82[] = {
	8, 16,
	1, 16,
	0x00, //         
	0xF8, // #####   
	0x84, // #    #  
	0x82, // #     # 
	0x82, // #     # 
	0x82, // #     # 
	0x84, // #    #  
	0xF8, // #####   
	0x88, // #   #   
	0x84, // #    #  
	0x84, // #    #  
	0x84, // #    #  
	0x82, // #     # 
	0x82, // #     # 
	0x00, //         
	0x00  //         
};

/*
 *  'S'
 */
static const uint8_t Font16_83[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x38, //   ###   
	0x44, //  #   #  
	0x82, // #     # 
	0x82, // #     # 
	0x80, // #       
	0x60, //  ##     
	0x18, //    ##   
	0x04, //      #  
	0x02, //       # 
	0x82, // #     # 
	0x82, // #     # 
	0x44, //  #   #  
	0x38, //   ###   
	0x00, //         
	0x00  //         
};

/*
 *  'T'
 */
static const uint8_t Font16_84[] = {
	8, 16,
	1, 16,
	0x00, //         
	0xFE, // ####### 
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x00, //         
	0x00  //         
};

/*
 *  'U'
 */
static const uint8_t Font16_85[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x82, // #     # 
	0x82, // #     # 
	0x82, // #     # 
	0x82, // #     # 
	0x82, // #     # 
	0x82, // #     # 
	0x82, // #     # 
	0x82, // #     # 
	0x82, // #     # 
	0x82, // #     # 
	0x82, // #     # 
	0x44, //  #   #  
	0x38, //   ###   
	0x00, //         
	0x00  //         
};

/*
 *  'V'
 */
static const uint8_t Font16_86[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x82, // #     # 
	0x82, // #     # 
	0x82, // #     # 
	0x82, // #     # 
	0x44, //  #   #  
	0x44, //  #   #  
	0x44, //  #   #  
	0x28, //   # #   
	0x28, //   # #   
	0x28, //   # #   
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x00, //         
	0x00  //         
};

/*
 *  'W'
 */
static const uint8_t Font16_87[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x92, // #  #  # 
	0x92, // #  #  # 
	0x92, // #  #  # 
	0x92, // #  #  # 
	0x92, // #  #  # 
	0x92, // #  #  # 
	0xAA, // # # # # 
	0xAA, // # # # # 
	0x6C, //  ## ##  
	0x44, //  #   #  
	0x44, //  #   #  
	0x44, //  #   #  
	0x44, //  #   #  
	0x00, //         
	0x00  //         
};

/*
 *  'X'
 */
static const uint8_t Font16_88[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x82, // #     # 
	0x44, //  #   #  
	0x44, //  #   #  
	0x28, //   # #   
	0x28, //   # #   
	0x10, //    #    
	0x28, //   # #   
	0x28, //   # #   
	0x28, //   # #   
	0x44, //  #   #  
	0x44, //  #   #  
	0x82, // #     # 
	0x82, // #     # 
	0x00, //         
	0x00  //         
};

/*
 *  'Y'
 */
static const uint8_t Font16_89[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x82, // #     # 
	0x82, // #     # 
	0x44, //  #   #  
	0x44, //  #   #  
	0x44, //  #   #  
	0x28, //   # #   
	0x28, //   # #   
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x00, //         
	0x00  //         
};

/*
 *  'Z'
 */
static const uint8_t Font16_90[] = {
	8, 16,
	1, 16,
	0x00, //         
	0xFE, // ####### 
	0x04, //      #  
	0x04, //      #  
	0x08, //     #   
	0x08, //     #   
	0x10, //    #    
	0x10, //    #    
	0x20, //   #     
	0x20, //   #     
	0x40, //  #      
	0x40, //  #      
	0x80, // #       
	0xFE, // ####### 
	0x00, //         
	0x00  //         
};

/*
 *  '['
 */
static const uint8_t Font16_91[] = {
	5, 12,
	1, 16,
	0x1E, //    #### 
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x1E  //    #### 
};

/*
 *  '\'
 */
static const uint8_t Font16_92[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x80, // #       
	0x80, // #       
	0x40, //  #      
	0x40, //  #      
	0x20, //   #     
	0x20, //   #     
	0x10, //    #    
	0x10, //    #    
	0x08, //     #   
	0x08, //     #   
	0x04, //      #  
	0x04, //      #  
	0x02, //       # 
	0x02, //       # 
	0x00  //         
};

/*
 *  ']'
 */
static const uint8_t Font16_93[] = {
	5, 12,
	1, 16,
	0xF0, // ####    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0xF0  // ####    
};

/*
 *  '^'
 */
static const uint8_t Font16_94[] = {
	8, 16,
	1, 16,
	0x10, //    #    
	0x28, //   # #   
	0x44, //  #   #  
	0x82, // #     # 
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00  //         
};

/*
 *  '_'
 */
static const uint8_t Font16_95[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0xFE, // ####### 
	0x00  //         
};

/*
 *  '''
 */
static const uint8_t Font16_96[] = {
	5, 12,
	1, 16,
	0x30, //   ##    
	0x20, //   #     
	0x20, //   #     
	0x10, //    #    
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00  //         
};

/*
 *  'a'
 */
static const uint8_t Font16_97[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x3C, //   ####  
	0x42, //  #    # 
	0x02, //       # 
	0x3E, //   ##### 
	0x42, //  #    # 
	0x82, // #     # 
	0x82, // #     # 
	0x86, // #    ## 
	0x7A, //  #### # 
	0x00, //         
	0x00  //         
};

/*
 *  'b'
 */
static const uint8_t Font16_98[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x80, // #       
	0x80, // #       
	0x80, // #       
	0x80, // #       
	0xB8, // # ###   
	0xC4, // ##   #  
	0x82, // #     # 
	0x82, // #     # 
	0x82, // #     # 
	0x82, // #     # 
	0x82, // #     # 
	0xC4, // ##   #  
	0xB8, // # ###   
	0x00, //         
	0x00  //         
};

/*
 *  'c'
 */
static const uint8_t Font16_99[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x38, //   ###   
	0x44, //  #   #  
	0x82, // #     # 
	0x80, // #       
	0x80, // #       
	0x80, // #       
	0x82, // #     # 
	0x44, //  #   #  
	0x38, //   ###   
	0x00, //         
	0x00  //         
};

/*
 *  'd'
 */
static const uint8_t Font16_100[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x02, //       # 
	0x02, //       # 
	0x02, //       # 
	0x02, //       # 
	0x3A, //   ### # 
	0x46, //  #   ## 
	0x82, // #     # 
	0x82, // #     # 
	0x82, // #     # 
	0x82, // #     # 
	0x82, // #     # 
	0x46, //  #   ## 
	0x3A, //   ### # 
	0x00, //         
	0x00  //         
};

/*
 *  'e'
 */
static const uint8_t Font16_101[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x38, //   ###   
	0x44, //  #   #  
	0x82, // #     # 
	0x82, // #     # 
	0xFE, // ####### 
	0x80, // #       
	0x82, // #     # 
	0x44, //  #   #  
	0x38, //   ###   
	0x00, //         
	0x00  //         
};

/*
 *  'f'
 */
static const uint8_t Font16_102[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x0C, //     ##  
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x7C, //  #####  
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x00, //         
	0x00  //         
};

/*
 *  'g'
 */
static const uint8_t Font16_103[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x3B, //   ### ##
	0x44, //  #   #  
	0x44, //  #   #  
	0x44, //  #   #  
	0x38, //   ###   
	0x40, //  #      
	0x78, //  ####   
	0x84, // #    #  
	0x82, // #     # 
	0x82, // #     # 
	0x7C  //  #####  
};

/*
 *  'h'
 */
static const uint8_t Font16_104[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x40, //  #      
	0x40, //  #      
	0x40, //  #      
	0x40, //  #      
	0x5C, //  # ###  
	0x62, //  ##   # 
	0x42, //  #    # 
	0x42, //  #    # 
	0x42, //  #    # 
	0x42, //  #    # 
	0x42, //  #    # 
	0x42, //  #    # 
	0x42, //  #    # 
	0x00, //         
	0x00  //         
};

/*
 *  'i'
 */
static const uint8_t Font16_105[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x10, //    #    
	0x10, //    #    
	0x00, //         
	0x00, //         
	0x30, //   ##    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x00, //         
	0x00  //         
};

/*
 *  'j'
 */
static const uint8_t Font16_106[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x08, //     #   
	0x08, //     #   
	0x00, //         
	0x00, //         
	0x18, //    ##   
	0x08, //     #   
	0x08, //     #   
	0x08, //     #   
	0x08, //     #   
	0x08, //     #   
	0x08, //     #   
	0x08, //     #   
	0x08, //     #   
	0x10, //    #    
	0x60  //  ##     
};

/*
 *  'k'
 */
static const uint8_t Font16_107[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x40, //  #      
	0x40, //  #      
	0x40, //  #      
	0x40, //  #      
	0x42, //  #    # 
	0x44, //  #   #  
	0x48, //  #  #   
	0x50, //  # #    
	0x68, //  ## #   
	0x44, //  #   #  
	0x44, //  #   #  
	0x42, //  #    # 
	0x42, //  #    # 
	0x00, //         
	0x00  //         
};

/*
 *  'l'
 */
static const uint8_t Font16_108[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x30, //   ##    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x00, //         
	0x00  //         
};

/*
 *  'm'
 */
static const uint8_t Font16_109[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0xEC, // ### ##  
	0x92, // #  #  # 
	0x92, // #  #  # 
	0x92, // #  #  # 
	0x92, // #  #  # 
	0x92, // #  #  # 
	0x92, // #  #  # 
	0x92, // #  #  # 
	0x92, // #  #  # 
	0x00, //         
	0x00  //         
};

/*
 *  'n'
 */
static const uint8_t Font16_110[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x5C, //  # ###  
	0x62, //  ##   # 
	0x42, //  #    # 
	0x42, //  #    # 
	0x42, //  #    # 
	0x42, //  #    # 
	0x42, //  #    # 
	0x42, //  #    # 
	0x42, //  #    # 
	0x00, //         
	0x00  //         
};

/*
 *  'o'
 */
static const uint8_t Font16_111[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x38, //   ###   
	0x44, //  #   #  
	0x82, // #     # 
	0x82, // #     # 
	0x82, // #     # 
	0x82, // #     # 
	0x82, // #     # 
	0x44, //  #   #  
	0x38, //   ###   
	0x00, //         
	0x00  //         
};

/*
 *  'p'
 */
static const uint8_t Font16_112[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0xB8, // # ###   
	0xC4, // ##   #  
	0x82, // #     # 
	0x82, // #     # 
	0x82, // #     # 
	0x82, // #     # 
	0xC4, // ##   #  
	0xB8, // # ###   
	0x80, // #       
	0x80, // #       
	0x80  // #       
};

/*
 *  'q'
 */
static const uint8_t Font16_113[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x3A, //   ### # 
	0x46, //  #   ## 
	0x82, // #     # 
	0x82, // #     # 
	0x82, // #     # 
	0x82, // #     # 
	0x46, //  #   ## 
	0x3A, //   ### # 
	0x02, //       # 
	0x02, //       # 
	0x02  //       # 
};

/*
 *  'r'
 */
static const uint8_t Font16_114[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x2C, //   # ##  
	0x30, //   ##    
	0x20, //   #     
	0x20, //   #     
	0x20, //   #     
	0x20, //   #     
	0x20, //   #     
	0x20, //   #     
	0x20, //   #     
	0x00, //         
	0x00  //         
};

/*
 *  's'
 */
static const uint8_t Font16_115[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x3C, //   ####  
	0x42, //  #    # 
	0x40, //  #      
	0x60, //  ##     
	0x18, //    ##   
	0x06, //      ## 
	0x02, //       # 
	0x42, //  #    # 
	0x3C, //   ####  
	0x00, //         
	0x00  //         
};

/*
 *  't'
 */
static const uint8_t Font16_116[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x00, //         
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x7C, //  #####  
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x0C, //     ##  
	0x00, //         
	0x00  //         
};

/*
 *  'u'
 */
static const uint8_t Font16_117[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x42, //  #    # 
	0x42, //  #    # 
	0x42, //  #    # 
	0x42, //  #    # 
	0x42, //  #    # 
	0x42, //  #    # 
	0x42, //  #    # 
	0x46, //  #   ## 
	0x3A, //   ### # 
	0x00, //         
	0x00  //         
};

/*
 *  'v'
 */
static const uint8_t Font16_118[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x82, // #     # 
	0x82, // #     # 
	0x82, // #     # 
	0x44, //  #   #  
	0x44, //  #   #  
	0x28, //   # #   
	0x28, //   # #   
	0x10, //    #    
	0x10, //    #    
	0x00, //         
	0x00  //         
};

/*
 *  'w'
 */
static const uint8_t Font16_119[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x92, // #  #  # 
	0x92, // #  #  # 
	0x92, // #  #  # 
	0x92, // #  #  # 
	0xAA, // # # # # 
	0xAA, // # # # # 
	0x44, //  #   #  
	0x44, //  #   #  
	0x44, //  #   #  
	0x00, //         
	0x00  //         
};

/*
 *  'x'
 */
static const uint8_t Font16_120[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x82, // #     # 
	0x44, //  #   #  
	0x28, //   # #   
	0x28, //   # #   
	0x10, //    #    
	0x28, //   # #   
	0x28, //   # #   
	0x44, //  #   #  
	0x82, // #     # 
	0x00, //         
	0x00  //         
};

/*
 *  'y'
 */
static const uint8_t Font16_121[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x82, // #     # 
	0x82, // #     # 
	0x44, //  #   #  
	0x44, //  #   #  
	0x28, //   # #   
	0x28, //   # #   
	0x18, //    ##   
	0x10, //    #    
	0x10, //    #    
	0x20, //   #     
	0xC0  // ##      
};

/*
 *  'z'
 */
static const uint8_t Font16_122[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x7E, //  ###### 
	0x04, //      #  
	0x08, //     #   
	0x08, //     #   
	0x10, //    #    
	0x10, //    #    
	0x20, //   #     
	0x40, //  #      
	0xFE, // ####### 
	0x00, //         
	0x00  //         
};

/*
 *  '{'
 */
static const uint8_t Font16_123[] = {
	5, 12,
	1, 16,
	0x04, //      #  
	0x08, //     #   
	0x08, //     #   
	0x08, //     #   
	0x08, //     #   
	0x08, //     #   
	0x08, //     #   
	0x10, //    #    
	0x08, //     #   
	0x08, //     #   
	0x08, //     #   
	0x08, //     #   
	0x08, //     #   
	0x08, //     #   
	0x08, //     #   
	0x04  //      #  
};

/*
 *  '|'
 */
static const uint8_t Font16_124[] = {
	5, 12,
	1, 16,
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10  //    #    
};

/*
 *  '}'
 */
static const uint8_t Font16_125[] = {
	5, 12,
	1, 16,
	0x40, //  #      
	0x20, //   #     
	0x20, //   #     
	0x20, //   #     
	0x20, //   #     
	0x20, //   #     
	0x20, //   #     
	0x10, //    #    
	0x20, //   #     
	0x20, //   #     
	0x20, //   #     
	0x20, //   #     
	0x20, //   #     
	0x20, //   #     
	0x20, //   #     
	0x40  //  #      
};

/*
 *  '->'
 */
static const uint8_t Font16_126[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x00, //         
	0x00, //         
	0x60, //  ##     
	0x92, // #  #  # 
	0x0C, //     ##  
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00  //         
};

/*
 *  DEL
 */
static const uint8_t Font16_127[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00  //         
};

/*
 *  yohaku
 */
static const uint8_t Font16_160[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00  //         
};

/*
 *  syuryou
 */
static const uint8_t Font16_161[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x10, //    #    
	0x10, //    #    
	0x00, //         
	0x00, //         
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x30, //   ##    
	0x30, //   ##    
	0x30, //   ##    
	0x30  //   ##    
};

/*
 *  kakko
 */
static const uint8_t Font16_162[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x00, //         
	0x10, //    #    
	0x3C, //   ####  
	0x52, //  # #  # 
	0x92, // #  #  # 
	0x90, // #  #    
	0x90, // #  #    
	0x90, // #  #    
	0x90, // #  #    
	0x90, // #  #    
	0x92, // #  #  # 
	0x52, //  # #  # 
	0x3C, //   ####  
	0x10, //    #    
	0x00  //         
};

/*
 *  kakko tojiru
 */
static const uint8_t Font16_163[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x0C, //     ##  
	0x12, //    #  # 
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x7C, //  #####  
	0x10, //    #    
	0x10, //    #    
	0x3C, //   ####  
	0x52, //  # #  # 
	0x20, //   #     
	0x00  //         
};

/*
 *  kutouten
 */
static const uint8_t Font16_164[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x42, //  #    # 
	0x3C, //   ####  
	0x24, //   #  #  
	0x24, //   #  #  
	0x3C, //   ####  
	0x42, //  #    # 
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00  //         
};

/*
 *  cyuten
 */
static const uint8_t Font16_165[] = {
	8, 16,
	1, 16,
	0x82, // #     # 
	0x82, // #     # 
	0x44, //  #   #  
	0x44, //  #   #  
	0x44, //  #   #  
	0x28, //   # #   
	0x28, //   # #   
	0xFE, // ####### 
	0x10, //    #    
	0xFE, // ####### 
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x00, //         
	0x00  //         
};

/*
 *  'WO'
 */
static const uint8_t Font16_166[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x00, //         
	0x00, //         
	0x00, //         
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x00, //         
	0x00  //         
};

/*
 *  'aa'
 */
static const uint8_t Font16_167[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x3C, //   ####  
	0x42, //  #    # 
	0x40, //  #      
	0x20, //   #     
	0x3C, //   ####  
	0x42, //  #    # 
	0x42, //  #    # 
	0x42, //  #    # 
	0x3C, //   ####  
	0x04, //      #  
	0x02, //       # 
	0x42, //  #    # 
	0x3C, //   ####  
	0x00, //         
	0x00  //         
};

/*
 *  'ii'
 */
static const uint8_t Font16_168[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x24, //   #  #  
	0x24, //   #  #  
	0x24, //   #  #  
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00  //         
};

/*
 *  'uu'
 */
static const uint8_t Font16_169[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x00, //         
	0x3C, //   ####  
	0x42, //  #    # 
	0x99, // #  ##  #
	0xA5, // # #  # #
	0xA1, // # #    #
	0xA1, // # #    #
	0xA1, // # #    #
	0xA5, // # #  # #
	0xA5, // # #  # #
	0x9B, // #  ## ##
	0x42, //  #    # 
	0x3C, //   ####  
	0x00, //         
	0x00  //         
};

/*
 *  'ee'
 */
static const uint8_t Font16_170[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x1C, //    ###  
	0x22, //   #   # 
	0x1E, //    #### 
	0x22, //   #   # 
	0x26, //   #  ## 
	0x1A, //    ## # 
	0x00, //         
	0x3E, //   ##### 
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00  //         
};

/*
 *  'oo'
 */
static const uint8_t Font16_171[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x00, //         
	0x00, //         
	0x09, //     #  #
	0x12, //    #  # 
	0x24, //   #  #  
	0x48, //  #  #   
	0x90, // #  #    
	0x90, // #  #    
	0x48, //  #  #   
	0x24, //   #  #  
	0x12, //    #  # 
	0x09, //     #  #
	0x00, //         
	0x00, //         
	0x00  //         
};

/*
 *  'ya'
 */
static const uint8_t Font16_172[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0xFE, // ####### 
	0xFE, // ####### 
	0x06, //      ## 
	0x06, //      ## 
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00  //         
};

/*
 *  'yu'
 */
static const uint8_t Font16_173[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0xFE, // ####### 
	0xFE, // ####### 
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00  //         
};

/*
 *  'yo'
 */
static const uint8_t Font16_174[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x00, //         
	0x3C, //   ####  
	0x42, //  #    # 
	0xB9, // # ###  #
	0xA5, // # #  # #
	0xA5, // # #  # #
	0xB9, // # ###  #
	0xA9, // # # #  #
	0xA5, // # #  # #
	0xA5, // # #  # #
	0xA3, // # #   ##
	0x42, //  #    # 
	0x3C, //   ####  
	0x00, //         
	0x00  //         
};


/*
 *  'tu'
 */
static const uint8_t Font16_175[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x00, //         
	0xFE, // ####### 
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00  //         
};

/*
 *  '-'
 */
static const uint8_t Font16_176[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x38, //   ###   
	0x44, //  #   #  
	0x44, //  #   #  
	0x44, //  #   #  
	0x38, //   ###   
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00  //         
};

/*
 *  'AA'
 */
static const uint8_t Font16_177[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0xFE, // ####### 
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x00, //         
	0xFE, // ####### 
	0x00, //         
	0x00, //         
	0x00  //         
};

/*
 *  'II'
 */
static const uint8_t Font16_178[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x18, //    ##   
	0x24, //   #  #  
	0x04, //      #  
	0x08, //     #   
	0x10, //    #    
	0x20, //   #     
	0x3C, //   ####  
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00  //         
};

/*
 *  'UU'
 */
static const uint8_t Font16_179[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x18, //    ##   
	0x24, //   #  #  
	0x04, //      #  
	0x18, //    ##   
	0x04, //      #  
	0x24, //   #  #  
	0x18, //    ##   
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00  //         
};

/*
 *  'EE'
 */
static const uint8_t Font16_180[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x0C, //     ##  
	0x18, //    ##   
	0x30, //   ##    
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00  //         
};

/*
 *  'OO'
 */
static const uint8_t Font16_181[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x22, //   #   # 
	0x22, //   #   # 
	0x22, //   #   # 
	0x44, //  #   #  
	0x44, //  #   #  
	0x6C, //  ## ##  
	0x54, //  # # #  
	0x82, // #     # 
	0x80  // #       
};

/*
 *  'KA'
 */
static const uint8_t Font16_182[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x3C, //   ####  
	0x74, //  ### #  
	0x74, //  ### #  
	0x74, //  ### #  
	0x74, //  ### #  
	0x34, //   ## #  
	0x14, //    # #  
	0x14, //    # #  
	0x14, //    # #  
	0x14, //    # #  
	0x14, //    # #  
	0x14, //    # #  
	0x14, //    # #  
	0x00, //         
	0x00  //         
};

/*
 *  'KI'
 */
static const uint8_t Font16_183[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x18, //    ##   
	0x18, //    ##   
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00  //         
};

/*
 *  'KU'
 */
static const uint8_t Font16_184[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x0C, //     ##  
	0x08, //     #   
	0x10  //    #    
};

/*
 *  'KE'
 */
static const uint8_t Font16_185[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x08, //     #   
	0x18, //    ##   
	0x28, //   # #   
	0x08, //     #   
	0x08, //     #   
	0x08, //     #   
	0x08, //     #   
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00  //         
};

/*
 *  'KO'
 */
static const uint8_t Font16_186[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x18, //    ##   
	0x24, //   #  #  
	0x24, //   #  #  
	0x24, //   #  #  
	0x24, //   #  #  
	0x18, //    ##   
	0x00, //         
	0x3C, //   ####  
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00  //         
};

/*
 *  'SA'
 */
static const uint8_t Font16_187[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x90, // #  #    
	0x48, //  #  #   
	0x24, //   #  #  
	0x12, //    #  # 
	0x09, //     #  #
	0x09, //     #  #
	0x12, //    #  # 
	0x24, //   #  #  
	0x48, //  #  #   
	0x90, // #  #    
	0x00, //         
	0x00  //         
};

/*
 *  'SI'
 */
static const uint8_t Font16_188[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x40, //  #      
	0xC4, // ##   #  
	0x44, //  #   #  
	0x48, //  #  #   
	0x48, //  #  #   
	0x50, //  # #    
	0x12, //    #  # 
	0x22, //   #   # 
	0x26, //   #  ## 
	0x4A, //  #  # # 
	0x5F, //  # #####
	0x82, // #     # 
	0x82, // #     # 
	0x00, //         
	0x00  //         
};

/*
 *  'SU'
 */
static const uint8_t Font16_189[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x40, //  #      
	0xC4, // ##   #  
	0x44, //  #   #  
	0x48, //  #  #   
	0x48, //  #  #   
	0x50, //  # #    
	0x1C, //    ###  
	0x32, //   ##  # 
	0x22, //   #   # 
	0x44, //  #   #  
	0x48, //  #  #   
	0x88, // #   #   
	0x9E, // #  #### 
	0x00, //         
	0x00  //         
};

/*
 *  'SE'
 */
static const uint8_t Font16_190[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x60, //  ##     
	0x92, // #  #  # 
	0x12, //    #  # 
	0x64, //  ##  #  
	0x14, //    # #  
	0x98, // #  ##   
	0x6A, //  ## # # 
	0x12, //    #  # 
	0x16, //    # ## 
	0x2A, //   # # # 
	0x3F, //   ######
	0x42, //  #    # 
	0x42, //  #    # 
	0x00, //         
	0x00, //         
};

/*
 *  'SO'
 */
static const uint8_t Font16_191[] = {
	8, 16,
	1, 16,
	0x08, //     #   
	0x08, //     #   
	0x00, //         
	0x00, //         
	0x08, //     #   
	0x08, //     #   
	0x08, //     #   
	0x10, //    #    
	0x20, //   #     
	0x20, //   #     
	0x41, //  #     #
	0x41, //  #     #
	0x41, //  #     #
	0x22, //   #   # 
	0x1C, //    ###  
	0x00  //         
};

/*
 *  'TA'
 */
static const uint8_t Font16_192[] = {
	8, 16,
	1, 16,
	0x30, //   ##    
	0x10, //    #    
	0x08, //     #   
	0x10, //    #    
	0x10, //    #    
	0x28, //   # #   
	0x28, //   # #   
	0x44, //  #   #  
	0x44, //  #   #  
	0x7C, //  #####  
	0x82, // #     # 
	0x82, // #     # 
	0x82, // #     # 
	0x82, // #     # 
	0x00, //         
	0x00  //         
};

/*
 *  'TI'
 */
static const uint8_t Font16_193[] = {
	8, 16,
	1, 16,
	0x18, //    ##   
	0x10, //    #    
	0x20, //   #     
	0x10, //    #    
	0x10, //    #    
	0x28, //   # #   
	0x28, //   # #   
	0x44, //  #   #  
	0x44, //  #   #  
	0x7C, //  #####  
	0x82, // #     # 
	0x82, // #     # 
	0x82, // #     # 
	0x82, // #     # 
	0x00, //         
	0x00  //         
};

/*
 *  'TU'
 */
static const uint8_t Font16_194[] = {
	8, 16,
	1, 16,
	0x10, //    #    
	0x38, //   ###   
	0x44, //  #   #  
	0x10, //    #    
	0x10, //    #    
	0x28, //   # #   
	0x28, //   # #   
	0x44, //  #   #  
	0x44, //  #   #  
	0x7C, //  #####  
	0x82, // #     # 
	0x82, // #     # 
	0x82, // #     # 
	0x82, // #     # 
	0x00, //         
	0x00  //         
};

/*
 *  'TE'
 */
static const uint8_t Font16_195[] = {
	8, 16,
	1, 16,
	0x34, //   ## #  
	0x58, //  # ##   
	0x00, //         
	0x10, //    #    
	0x10, //    #    
	0x28, //   # #   
	0x28, //   # #   
	0x44, //  #   #  
	0x44, //  #   #  
	0x7C, //  #####  
	0x82, // #     # 
	0x82, // #     # 
	0x82, // #     # 
	0x82, // #     # 
	0x00, //         
	0x00  //         
};

/*
 *  'TO'
 */
static const uint8_t Font16_196[] = {
	8, 16,
	1, 16,
	0x44, //  #   #  
	0x44, //  #   #  
	0x00, //         
	0x10, //    #    
	0x10, //    #    
	0x28, //   # #   
	0x28, //   # #   
	0x44, //  #   #  
	0x44, //  #   #  
	0x7C, //  #####  
	0x82, // #     # 
	0x82, // #     # 
	0x82, // #     # 
	0x82, // #     # 
	0x00, //         
	0x00  //         
};

/*
 *  'NA'
 */
static const uint8_t Font16_197[] = {
	8, 16,
	1, 16,
	0x10, //    #    
	0x28, //   # #   
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x28, //   # #   
	0x28, //   # #   
	0x44, //  #   #  
	0x44, //  #   #  
	0x7C, //  #####  
	0x82, // #     # 
	0x82, // #     # 
	0x82, // #     # 
	0x82, // #     # 
	0x00, //         
	0x00  //         
};

/*
 *  'NI'
 */
static const uint8_t Font16_198[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x00, //         
	0x1F, //    #####
	0x28, //   # #   
	0x28, //   # #   
	0x28, //   # #   
	0x2E, //   # ### 
	0x48, //  #  #   
	0x48, //  #  #   
	0x78, //  ####   
	0x88, // #   #   
	0x88, // #   #   
	0x88, // #   #   
	0x8F, // #   ####
	0x00, //         
	0x00  //         
};

/*
 *  'NU'
 */
static const uint8_t Font16_199[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x38, //   ###   
	0x44, //  #   #  
	0x42, //  #    # 
	0x80, // #       
	0x80, // #       
	0x80, // #       
	0x80, // #       
	0x80, // #       
	0x80, // #       
	0x42, //  #    # 
	0x44, //  #   #  
	0x38, //   ###   
	0x08, //     #   
	0x08, //     #   
	0x10  //    #    
};

/*
 *  'NE'
 */
static const uint8_t Font16_200[] = {
	8, 16,
	1, 16,
	0x30, //   ##    
	0x10, //    #    
	0x08, //     #   
	0xFE, // ####### 
	0x80, // #       
	0x80, // #       
	0x80, // #       
	0xFC, // ######  
	0x80, // #       
	0x80, // #       
	0x80, // #       
	0x80, // #       
	0x80, // #       
	0xFE, // ####### 
	0x00, //         
	0x00  //         
};

/*
 *  'NO'
 */
static const uint8_t Font16_201[] = {
	8, 16,
	1, 16,
	0x18, //    ##   
	0x10, //    #    
	0x20, //   #     
	0xFE, // ####### 
	0x80, // #       
	0x80, // #       
	0x80, // #       
	0xFC, // ######  
	0x80, // #       
	0x80, // #       
	0x80, // #       
	0x80, // #       
	0x80, // #       
	0xFE, // ####### 
	0x00, //         
	0x00  //         
};

/*
 *  'HA'
 */
static const uint8_t Font16_202[] = {
	8, 16,
	1, 16,
	0x10, //    #    
	0x38, //   ###   
	0x44, //  #   #  
	0xFE, // ####### 
	0x80, // #       
	0x80, // #       
	0x80, // #       
	0xFC, // ######  
	0x80, // #       
	0x80, // #       
	0x80, // #       
	0x80, // #       
	0x80, // #       
	0xFE, // ####### 
	0x00, //         
	0x00  //         
};

/*
 *  'HI'
 */
static const uint8_t Font16_203[] = {
	8, 16,
	1, 16,
	0x44, //  #   #  
	0x44, //  #   #  
	0x00, //         
	0xFE, // ####### 
	0x80, // #       
	0x80, // #       
	0x80, // #       
	0xFC, // ######  
	0x80, // #       
	0x80, // #       
	0x80, // #       
	0x80, // #       
	0x80, // #       
	0xFE, // ####### 
	0x00, //         
	0x00  //         
};

/*
 *  'HU'
 */
static const uint8_t Font16_204[] = {
	8, 16,
	1, 16,
	0x30, //   ##    
	0x10, //    #    
	0x08, //     #   
	0x38, //   ###   
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x38, //   ###   
	0x00, //         
	0x00  //         
};

/*
 *  'HE'
 */
static const uint8_t Font16_205[] = {
	8, 16,
	1, 16,
	0x18, //    ##   
	0x10, //    #    
	0x20, //   #     
	0x38, //   ###   
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x38, //   ###   
	0x00, //         
	0x00  //         
};

/*
 *  'HO'
 */
static const uint8_t Font16_206[] = {
	8, 16,
	1, 16,
	0x10, //    #    
	0x38, //   ###   
	0x44, //  #   #  
	0x38, //   ###   
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x38, //   ###   
	0x00, //         
	0x00  //         
};

/*
 *  'MA'
 */
static const uint8_t Font16_207[] = {
	8, 16,
	1, 16,
	0x44, //  #   #  
	0x44, //  #   #  
	0x00, //         
	0x38, //   ###   
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x38, //   ###   
	0x00, //         
	0x00  //         
};

/*
 *  'MI'
 */
static const uint8_t Font16_208[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x70, //  ###    
	0x48, //  #  #   
	0x44, //  #   #  
	0x44, //  #   #  
	0x42, //  #    # 
	0x42, //  #    # 
	0xF2, // ####  # 
	0x42, //  #    # 
	0x42, //  #    # 
	0x44, //  #   #  
	0x44, //  #   #  
	0x48, //  #  #   
	0x70, //  ###    
	0x00, //         
	0x00  //         
};

/*
 *  'MU'
 */
static const uint8_t Font16_209[] = {
	8, 16,
	1, 16,
	0x34, //   ## #  
	0x58, //  # ##   
	0x82, // #     # 
	0x82, // #     # 
	0xC2, // ##    # 
	0xC2, // ##    # 
	0xA2, // # #   # 
	0xA2, // # #   # 
	0x92, // #  #  # 
	0x8A, // #   # # 
	0x8A, // #   # # 
	0x86, // #    ## 
	0x86, // #    ## 
	0x82, // #     # 
	0x00, //         
	0x00  //         
};

/*
 *  'ME'
 */
static const uint8_t Font16_210[] = {
	8, 16,
	1, 16,
	0x30, //   ##    
	0x10, //    #    
	0x08, //     #   
	0x38, //   ###   
	0x44, //  #   #  
	0x82, // #     # 
	0x82, // #     # 
	0x82, // #     # 
	0x82, // #     # 
	0x82, // #     # 
	0x82, // #     # 
	0x82, // #     # 
	0x44, //  #   #  
	0x38, //   ###   
	0x00, //         
	0x00  //         
};

/*
 *  'MO'
 */
static const uint8_t Font16_211[] = {
	8, 16,
	1, 16,
	0x18, //    ##   
	0x10, //    #    
	0x20, //   #     
	0x38, //   ###   
	0x44, //  #   #  
	0x82, // #     # 
	0x82, // #     # 
	0x82, // #     # 
	0x82, // #     # 
	0x82, // #     # 
	0x82, // #     # 
	0x82, // #     # 
	0x44, //  #   #  
	0x38, //   ###   
	0x00, //         
	0x00  //         
};

/*
 *  'YA'
 */
static const uint8_t Font16_212[] = {
	8, 16,
	1, 16,
	0x10, //    #    
	0x38, //   ###   
	0x44, //  #   #  
	0x38, //   ###   
	0x44, //  #   #  
	0x82, // #     # 
	0x82, // #     # 
	0x82, // #     # 
	0x82, // #     # 
	0x82, // #     # 
	0x82, // #     # 
	0x82, // #     # 
	0x44, //  #   #  
	0x38, //   ###   
	0x00, //         
	0x00  //         
};

/*
 *  'YU'
 */
static const uint8_t Font16_213[] = {
	8, 16,
	1, 16,
	0x34, //   ## #  
	0x58, //  # ##   
	0x00, //         
	0x38, //   ###   
	0x44, //  #   #  
	0x82, // #     # 
	0x82, // #     # 
	0x82, // #     # 
	0x82, // #     # 
	0x82, // #     # 
	0x82, // #     # 
	0x82, // #     # 
	0x44, //  #   #  
	0x38, //   ###   
	0x00, //         
	0x00  //         
};

/*
 *  'YO'
 */
static const uint8_t Font16_214[] = {
	8, 16,
	1, 16,
	0x44, //  #   #  
	0x44, //  #   #  
	0x00, //         
	0x38, //   ###   
	0x44, //  #   #  
	0x82, // #     # 
	0x82, // #     # 
	0x82, // #     # 
	0x82, // #     # 
	0x82, // #     # 
	0x82, // #     # 
	0x82, // #     # 
	0x44, //  #   #  
	0x38, //   ###   
	0x00, //         
	0x00  //         
};

/*
 *  'RA'
 */
static const uint8_t Font16_215[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x81, // #      #
	0x42, //  #    # 
	0x24, //   #  #  
	0x18, //    ##   
	0x18, //    ##   
	0x24, //   #  #  
	0x42, //  #    # 
	0x81, // #      #
	0x00, //         
	0x00, //         
	0x00, //         
	0x00  //         
};

/*
 *  'RI'
 */
static const uint8_t Font16_216[] = {
	8, 16,
	1, 16,
	0x02, //       # 
	0x02, //       # 
	0x3C, //   ####  
	0x44, //  #   #  
	0x86, // #    ## 
	0x8A, // #   # # 
	0x8A, // #   # # 
	0x92, // #  #  # 
	0x92, // #  #  # 
	0xA2, // # #   # 
	0xA2, // # #   # 
	0xC2, // ##    # 
	0x44, //  #   #  
	0x78, //  ####   
	0x80, // #       
	0x80  // #       
};

/*
 *  'RU'
 */
static const uint8_t Font16_217[] = {
	8, 16,
	1, 16,
	0x30, //   ##    
	0x10, //    #    
	0x08, //     #   
	0x82, // #     # 
	0x82, // #     # 
	0x82, // #     # 
	0x82, // #     # 
	0x82, // #     # 
	0x82, // #     # 
	0x82, // #     # 
	0x82, // #     # 
	0x82, // #     # 
	0x44, //  #   #  
	0x38, //   ###   
	0x00, //         
	0x00  //         
};

/*
 *  'RE'
 */
static const uint8_t Font16_218[] = {
	8, 16,
	1, 16,
	0x18, //    ##   
	0x10, //    #    
	0x20, //   #     
	0x82, // #     # 
	0x82, // #     # 
	0x82, // #     # 
	0x82, // #     # 
	0x82, // #     # 
	0x82, // #     # 
	0x82, // #     # 
	0x82, // #     # 
	0x82, // #     # 
	0x44, //  #   #  
	0x38, //   ###   
	0x00, //         
	0x00  //         
};

/*
 *  'RO'
 */
static const uint8_t Font16_219[] = {
	8, 16,
	1, 16,
	0x10, //    #    
	0x38, //   ###   
	0x44, //  #   #  
	0x00, //         
	0x82, // #     # 
	0x82, // #     # 
	0x82, // #     # 
	0x82, // #     # 
	0x82, // #     # 
	0x82, // #     # 
	0x82, // #     # 
	0x82, // #     # 
	0x44, //  #   #  
	0x38, //   ###   
	0x00, //         
	0x00  //         
};

/*
 *  'WA'
 */
static const uint8_t Font16_220[] = {
	8, 16,
	1, 16,
	0x44, //  #   #  
	0x44, //  #   #  
	0x00, //         
	0x82, // #     # 
	0x82, // #     # 
	0x82, // #     # 
	0x82, // #     # 
	0x82, // #     # 
	0x82, // #     # 
	0x82, // #     # 
	0x82, // #     # 
	0x82, // #     # 
	0x44, //  #   #  
	0x38, //   ###   
	0x00, //         
	0x00, //         
};

/*
 *  'NN'
 */
static const uint8_t Font16_221[] = {
	8, 16,
	1, 16,
	0x18, //    ##   
	0x10, //    #    
	0xA2, // # #   # 
	0x82, // #     # 
	0x44, //  #   #  
	0x44, //  #   #  
	0x28, //   # #   
	0x28, //   # #   
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x00, //         
	0x00  //         
};

/*
 *  dakuten
 */
static const uint8_t Font16_222[] = {
	8, 16,
	1, 16,
	0x80, // #       
	0x80, // #       
	0xF8, // #####   
	0x84, // #    #  
	0x82, // #     # 
	0x82, // #     # 
	0x84, // #    #  
	0xF8, // #####   
	0x80, // #       
	0x80, // #       
	0x80, // #       
	0x80, // #       
	0x80, // #       
	0x80, // #       
	0x00, //         
	0x00  //         
};

/*
 *  maru
 */
static const uint8_t Font16_223[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x78, //  ####   
	0x84, // #    #  
	0x82, // #     # 
	0x82, // #     # 
	0x84, // #    #  
	0xB8, // # ###   
	0x84, // #    #  
	0x82, // #     # 
	0x82, // #     # 
	0x82, // #     # 
	0x82, // #     # 
	0x84, // #    #  
	0xB8, // # ###   
	0x00, //         
	0x00  //         
};

/*
 *  224
 */
static const uint8_t Font16_224[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x30, //   ##    
	0x10, //    #    
	0x08, //     #   
	0x00, //         
	0x3C, //   ####  
	0x42, //  #    # 
	0x02, //       # 
	0x3E, //   ##### 
	0x42, //  #    # 
	0x82, // #     # 
	0x82, // #     # 
	0x86, // #    ## 
	0x7A, //  #### # 
	0x00, //         
	0x00  //         
};

/*
 *  225
 */
static const uint8_t Font16_225[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x18, //    ##   
	0x10, //    #    
	0x20, //   #     
	0x00, //         
	0x3C, //   ####  
	0x42, //  #    # 
	0x02, //       # 
	0x3E, //   ##### 
	0x42, //  #    # 
	0x82, // #     # 
	0x82, // #     # 
	0x86, // #    ## 
	0x7A, //  #### # 
	0x00, //         
	0x00  //         
};

/*
 *  226
 */
static const uint8_t Font16_226[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x10, //    #    
	0x38, //   ###   
	0x44, //  #   #  
	0x00, //         
	0x3C, //   ####  
	0x42, //  #    # 
	0x02, //       # 
	0x3E, //   ##### 
	0x42, //  #    # 
	0x82, // #     # 
	0x82, // #     # 
	0x86, // #    ## 
	0x7A, //  #### # 
	0x00, //         
	0x00  //         
};

/*
 *  227
 */
static const uint8_t Font16_227[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x34, //   ## #  
	0x58, //  # ##   
	0x00, //         
	0x00, //         
	0x3C, //   ####  
	0x42, //  #    # 
	0x02, //       # 
	0x3E, //   ##### 
	0x42, //  #    # 
	0x82, // #     # 
	0x82, // #     # 
	0x86, // #    ## 
	0x7A, //  #### # 
	0x00, //         
	0x00  //         
};

/*
 *  228
 */
static const uint8_t Font16_228[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x00, //         
	0x24, //   #  #  
	0x24, //   #  #  
	0x00, //         
	0x3C, //   ####  
	0x42, //  #    # 
	0x02, //       # 
	0x3E, //   ##### 
	0x42, //  #    # 
	0x82, // #     # 
	0x82, // #     # 
	0x86, // #    ## 
	0x7A, //  #### # 
	0x00, //         
	0x00  //         
};

/*
 *  229
 */
static const uint8_t Font16_229[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x10, //    #    
	0x28, //   # #   
	0x10, //    #    
	0x00, //         
	0x3C, //   ####  
	0x42, //  #    # 
	0x02, //       # 
	0x3E, //   ##### 
	0x42, //  #    # 
	0x82, // #     # 
	0x82, // #     # 
	0x86, // #    ## 
	0x7A, //  #### # 
	0x00, //         
	0x00  //         
};

/*
 *  230
 */
static const uint8_t Font16_230[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x6C, //  ## ##  
	0x92, // #  #  # 
	0x12, //    #  # 
	0x3E, //   ##### 
	0x50, //  # #    
	0x90, // #  #    
	0x92, // #  #  # 
	0x92, // #  #  # 
	0x6C, //  ## ##  
	0x00, //         
	0x00  //         
};

/*
 *  231
 */
static const uint8_t Font16_231[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x38, //   ###   
	0x44, //  #   #  
	0x82, // #     # 
	0x80, // #       
	0x80, // #       
	0x80, // #       
	0x82, // #     # 
	0x44, //  #   #  
	0x38, //   ###   
	0x10, //    #    
	0x10, //    #    
	0x20  //   #     
};

/*
 *  232
 */
static const uint8_t Font16_232[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x30, //   ##    
	0x10, //    #    
	0x08, //     #   
	0x00, //         
	0x38, //   ###   
	0x44, //  #   #  
	0x82, // #     # 
	0x82, // #     # 
	0xFE, // ####### 
	0x80, // #       
	0x82, // #     # 
	0x44, //  #   #  
	0x38, //   ###   
	0x00, //         
	0x00  //         
};

/*
 *  233
 */
static const uint8_t Font16_233[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x18, //    ##   
	0x10, //    #    
	0x20, //   #     
	0x00, //         
	0x38, //   ###   
	0x44, //  #   #  
	0x82, // #     # 
	0x82, // #     # 
	0xFE, // ####### 
	0x80, // #       
	0x82, // #     # 
	0x44, //  #   #  
	0x38, //   ###   
	0x00, //         
	0x00  //         
};

/*
 *  234
 */
static const uint8_t Font16_234[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x10, //    #    
	0x38, //   ###   
	0x44, //  #   #  
	0x00, //         
	0x38, //   ###   
	0x44, //  #   #  
	0x82, // #     # 
	0x82, // #     # 
	0xFE, // ####### 
	0x80, // #       
	0x82, // #     # 
	0x44, //  #   #  
	0x38, //   ###   
	0x00, //         
	0x00  //         
};

/*
 *  235
 */
static const uint8_t Font16_235[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x44, //  #   #  
	0x44, //  #   #  
	0x00, //         
	0x00, //         
	0x38, //   ###   
	0x44, //  #   #  
	0x82, // #     # 
	0x82, // #     # 
	0xFE, // ####### 
	0x80, // #       
	0x82, // #     # 
	0x44, //  #   #  
	0x38, //   ###   
	0x00, //         
	0x00  //         
};

/*
 *  236
 */
static const uint8_t Font16_236[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x30, //   ##    
	0x10, //    #    
	0x08, //     #   
	0x00, //         
	0x30, //   ##    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x00, //         
	0x00  //         
};

/*
 *  237
 */
static const uint8_t Font16_237[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x18, //    ##   
	0x10, //    #    
	0x20, //   #     
	0x00, //         
	0x30, //   ##    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x00, //         
	0x00  //         
};

/*
 *  238
 */
static const uint8_t Font16_238[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x10, //    #    
	0x38, //   ###   
	0x44, //  #   #  
	0x00, //         
	0x30, //   ##    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x00, //         
	0x00  //         
};

/*
 *  239
 */
static const uint8_t Font16_239[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x44, //  #   #  
	0x44, //  #   #  
	0x00, //         
	0x00, //         
	0x30, //   ##    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x10, //    #    
	0x00, //         
	0x00  //         
};

/*
 *  240
 */
static const uint8_t Font16_240[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x64, //  ##  #  
	0x18, //    ##   
	0x30, //   ##    
	0x48, //  #  #   
	0x38, //   ###   
	0x44, //  #   #  
	0x82, // #     # 
	0x82, // #     # 
	0x82, // #     # 
	0x82, // #     # 
	0x82, // #     # 
	0x44, //  #   #  
	0x38, //   ###   
	0x00, //         
	0x00  //         
};

/*
 *  241
 */
static const uint8_t Font16_241[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x34, //   ## #  
	0x58, //  # ##   
	0x00, //         
	0x00, //         
	0x5C, //  # ###  
	0x62, //  ##   # 
	0x42, //  #    # 
	0x42, //  #    # 
	0x42, //  #    # 
	0x42, //  #    # 
	0x42, //  #    # 
	0x42, //  #    # 
	0x42, //  #    # 
	0x00, //         
	0x00  //         
};

/*
 *  242
 */
static const uint8_t Font16_242[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x30, //   ##    
	0x10, //    #    
	0x08, //     #   
	0x00, //         
	0x38, //   ###   
	0x44, //  #   #  
	0x82, // #     # 
	0x82, // #     # 
	0x82, // #     # 
	0x82, // #     # 
	0x82, // #     # 
	0x44, //  #   #  
	0x38, //   ###   
	0x00, //         
	0x00  //         
};

/*
 *  243
 */
static const uint8_t Font16_243[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x18, //    ##   
	0x10, //    #    
	0x20, //   #     
	0x00, //         
	0x38, //   ###   
	0x44, //  #   #  
	0x82, // #     # 
	0x82, // #     # 
	0x82, // #     # 
	0x82, // #     # 
	0x82, // #     # 
	0x44, //  #   #  
	0x38, //   ###   
	0x00, //         
	0x00  //         
};

/*
 *  244
 */
static const uint8_t Font16_244[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x10, //    #    
	0x38, //   ###   
	0x44, //  #   #  
	0x00, //         
	0x38, //   ###   
	0x44, //  #   #  
	0x82, // #     # 
	0x82, // #     # 
	0x82, // #     # 
	0x82, // #     # 
	0x82, // #     # 
	0x44, //  #   #  
	0x38, //   ###   
	0x00, //         
	0x00  //         
};

/*
 *  245
 */
static const uint8_t Font16_245[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x34, //   ## #  
	0x58, //  # ##   
	0x00, //         
	0x00, //         
	0x38, //   ###   
	0x44, //  #   #  
	0x82, // #     # 
	0x82, // #     # 
	0x82, // #     # 
	0x82, // #     # 
	0x82, // #     # 
	0x44, //  #   #  
	0x38, //   ###   
	0x00, //         
	0x00  //         
};

/*
 *  246
 */
static const uint8_t Font16_246[] = {
	8, 16,
	1, 16,
	0x00, //       
	0x50, //  # #  
	0x00, //       
	0x70, //  ###  
	0x88, // #   # 
	0x88, // #   # 
	0x88, // #   # 
	0x88, // #   # 
	0x88, // #   # 
	0x70, //  ###  
	0x00, //       
	0x00  //       
};

/*
 *  247
 */
static const uint8_t Font16_247[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x10, //    #    
	0x10, //    #    
	0x00, //         
	0xFE, // ####### 
	0x00, //         
	0x10, //    #    
	0x10, //    #    
	0x00, //         
	0x00, //         
	0x00, //         
	0x00  //         
};

/*
 *  248
 */
static const uint8_t Font16_248[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x00, //         
	0x3A, //   ### # 
	0x44, //  #   #  
	0x8A, // #   # # 
	0x8A, // #   # # 
	0x92, // #  #  # 
	0xA2, // # #   # 
	0xA2, // # #   # 
	0x44, //  #   #  
	0xB8, // # ###   
	0x00, //         
	0x00  //         
};

/*
 *  249
 */
static const uint8_t Font16_249[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x30, //   ##    
	0x10, //    #    
	0x08, //     #   
	0x00, //         
	0x42, //  #    # 
	0x42, //  #    # 
	0x42, //  #    # 
	0x42, //  #    # 
	0x42, //  #    # 
	0x42, //  #    # 
	0x42, //  #    # 
	0x46, //  #   ## 
	0x3A, //   ### # 
	0x00, //         
	0x00  //         
};

/*
 *  250
 */
static const uint8_t Font16_250[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x18, //    ##   
	0x10, //    #    
	0x20, //   #     
	0x00, //         
	0x42, //  #    # 
	0x42, //  #    # 
	0x42, //  #    # 
	0x42, //  #    # 
	0x42, //  #    # 
	0x42, //  #    # 
	0x42, //  #    # 
	0x46, //  #   ## 
	0x3A, //   ### # 
	0x00, //         
	0x00  //         
};

/*
 *  251
 */
static const uint8_t Font16_251[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x10, //    #    
	0x38, //   ###   
	0x44, //  #   #  
	0x00, //         
	0x42, //  #    # 
	0x42, //  #    # 
	0x42, //  #    # 
	0x42, //  #    # 
	0x42, //  #    # 
	0x42, //  #    # 
	0x42, //  #    # 
	0x46, //  #   ## 
	0x3A, //   ### # 
	0x00, //         
	0x00  //         
};

/*
 *  252
 */
static const uint8_t Font16_252[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x24, //   #  #  
	0x24, //   #  #  
	0x00, //         
	0x00, //         
	0x42, //  #    # 
	0x42, //  #    # 
	0x42, //  #    # 
	0x42, //  #    # 
	0x42, //  #    # 
	0x42, //  #    # 
	0x42, //  #    # 
	0x46, //  #   ## 
	0x3A, //   ### # 
	0x00, //         
	0x00  //         
};

/*
 *  253
 */
static const uint8_t Font16_253[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x0C, //     ##  
	0x08, //     #   
	0x10, //    #    
	0x00, //         
	0x42, //  #    # 
	0x42, //  #    # 
	0x22, //   #   # 
	0x24, //   #  #  
	0x14, //    # #  
	0x08, //     #   
	0x08, //     #   
	0x10, //    #    
	0x10, //    #    
	0x20, //   #     
	0x40  //  #      
};

/*
 *  254
 */
static const uint8_t Font16_254[] = {
	8, 16,
	1, 16,
	/* 253 */
	0x00, //         
	0x00, //         
	0x40, //  #      
	0x40, //  #      
	0x40, //  #      
	0x78, //  ####   
	0x44, //  #   #  
	0x42, //  #    # 
	0x42, //  #    # 
	0x42, //  #    # 
	0x44, //  #   #  
	0x78, //  ####   
	0x40, //  #      
	0x40, //  #      
	0x40, //  #      
	0x40  //  #      
};

/*
 *  255
 */
static const uint8_t Font16_255[] = {
	8, 16,
	1, 16,
	0x00, //         
	0x24, //   #  #  
	0x24, //   #  #  
	0x00, //         
	0x00, //         
	0x42, //  #    # 
	0x42, //  #    # 
	0x22, //   #   # 
	0x24, //   #  #  
	0x14, //    # #  
	0x08, //     #   
	0x08, //     #   
	0x10, //    #    
	0x10, //    #    
	0x20, //   #     
	0x40  //  #      
};


const font_t *Font16[] = {
	(font_t *)Font16_32,  (font_t *)Font16_01,  (font_t *)Font16_02,  (font_t *)Font16_03,
	(font_t *)Font16_04,  (font_t *)Font16_05,  (font_t *)Font16_06,  (font_t *)Font16_07,
	(font_t *)Font16_08,  (font_t *)Font16_09,  (font_t *)Font16_10,  (font_t *)Font16_11,
	(font_t *)Font16_12,  (font_t *)Font16_13,  (font_t *)Font16_14,  (font_t *)Font16_15,
	(font_t *)Font16_16,  (font_t *)Font16_17,  (font_t *)Font16_18,  (font_t *)Font16_19,
	(font_t *)Font16_20,  (font_t *)Font16_21,  (font_t *)Font16_22,  (font_t *)Font16_23,
	(font_t *)Font16_24,  (font_t *)Font16_25,  (font_t *)Font16_26,  (font_t *)Font16_27,
	(font_t *)Font16_28,  (font_t *)Font16_29,  (font_t *)Font16_30,  (font_t *)Font16_31,
	(font_t *)Font16_32,  (font_t *)Font16_33,  (font_t *)Font16_34,  (font_t *)Font16_35,
	(font_t *)Font16_36,  (font_t *)Font16_37,  (font_t *)Font16_38,  (font_t *)Font16_39,
	(font_t *)Font16_40,  (font_t *)Font16_41,  (font_t *)Font16_42,  (font_t *)Font16_43,
	(font_t *)Font16_44,  (font_t *)Font16_45,  (font_t *)Font16_46,  (font_t *)Font16_47,
	(font_t *)Font16_48,  (font_t *)Font16_49,  (font_t *)Font16_50,  (font_t *)Font16_51,
	(font_t *)Font16_52,  (font_t *)Font16_53,  (font_t *)Font16_54,  (font_t *)Font16_55,
	(font_t *)Font16_56,  (font_t *)Font16_57,  (font_t *)Font16_58,  (font_t *)Font16_59,
	(font_t *)Font16_60,  (font_t *)Font16_61,  (font_t *)Font16_62,  (font_t *)Font16_63,
	(font_t *)Font16_64,  (font_t *)Font16_65,  (font_t *)Font16_66,  (font_t *)Font16_67,
	(font_t *)Font16_68,  (font_t *)Font16_69,  (font_t *)Font16_70,  (font_t *)Font16_71,
	(font_t *)Font16_72,  (font_t *)Font16_73,  (font_t *)Font16_74,  (font_t *)Font16_75,
	(font_t *)Font16_76,  (font_t *)Font16_77,  (font_t *)Font16_78,  (font_t *)Font16_79,
	(font_t *)Font16_80,  (font_t *)Font16_81,  (font_t *)Font16_82,  (font_t *)Font16_83,
	(font_t *)Font16_84,  (font_t *)Font16_85,  (font_t *)Font16_86,  (font_t *)Font16_87,
	(font_t *)Font16_88,  (font_t *)Font16_89,  (font_t *)Font16_90,  (font_t *)Font16_91,
	(font_t *)Font16_92,  (font_t *)Font16_93,  (font_t *)Font16_94,  (font_t *)Font16_95,
	(font_t *)Font16_96,  (font_t *)Font16_97,  (font_t *)Font16_98,  (font_t *)Font16_99,
	(font_t *)Font16_100, (font_t *)Font16_101, (font_t *)Font16_102, (font_t *)Font16_103,
	(font_t *)Font16_104, (font_t *)Font16_105, (font_t *)Font16_106, (font_t *)Font16_107,
	(font_t *)Font16_108, (font_t *)Font16_109, (font_t *)Font16_110, (font_t *)Font16_111,
	(font_t *)Font16_112, (font_t *)Font16_113, (font_t *)Font16_114, (font_t *)Font16_115,
	(font_t *)Font16_116, (font_t *)Font16_117, (font_t *)Font16_118, (font_t *)Font16_119,
	(font_t *)Font16_120, (font_t *)Font16_121, (font_t *)Font16_122, (font_t *)Font16_123,
	(font_t *)Font16_124, (font_t *)Font16_125, (font_t *)Font16_126, (font_t *)Font16_127,

	0,                    0,                    0,                    0,
	0,                    0,                    0,                    0,
	0,                    0,                    0,                    0,
	0,                    0,                    0,                    0,
	0,                    0,                    0,                    0,
	0,                    0,                    0,                    0,
	0,                    0,                    0,                    0,
	0,                    0,                    0,                    0,
	(font_t *)Font16_160, (font_t *)Font16_161, (font_t *)Font16_162, (font_t *)Font16_163,
	(font_t *)Font16_164, (font_t *)Font16_165, (font_t *)Font16_166, (font_t *)Font16_167,
	(font_t *)Font16_168, (font_t *)Font16_169, (font_t *)Font16_170, (font_t *)Font16_171,
	(font_t *)Font16_172, (font_t *)Font16_173, (font_t *)Font16_174, (font_t *)Font16_175,
	(font_t *)Font16_176, (font_t *)Font16_177, (font_t *)Font16_178, (font_t *)Font16_179,
	(font_t *)Font16_180, (font_t *)Font16_181, (font_t *)Font16_182, (font_t *)Font16_183,
	(font_t *)Font16_184, (font_t *)Font16_185, (font_t *)Font16_186, (font_t *)Font16_187,
	(font_t *)Font16_188, (font_t *)Font16_189, (font_t *)Font16_190, (font_t *)Font16_191,
	(font_t *)Font16_192, (font_t *)Font16_193, (font_t *)Font16_194, (font_t *)Font16_195,
	(font_t *)Font16_196, (font_t *)Font16_197, (font_t *)Font16_198, (font_t *)Font16_199,
	(font_t *)Font16_200, (font_t *)Font16_201, (font_t *)Font16_202, (font_t *)Font16_203,
	(font_t *)Font16_204, (font_t *)Font16_205, (font_t *)Font16_206, (font_t *)Font16_207,
	(font_t *)Font16_208, (font_t *)Font16_209, (font_t *)Font16_210, (font_t *)Font16_211,
	(font_t *)Font16_212, (font_t *)Font16_213, (font_t *)Font16_214, (font_t *)Font16_215,
	(font_t *)Font16_216, (font_t *)Font16_217, (font_t *)Font16_218, (font_t *)Font16_219,
	(font_t *)Font16_220, (font_t *)Font16_221, (font_t *)Font16_222, (font_t *)Font16_223,
	(font_t *)Font16_224, (font_t *)Font16_225, (font_t *)Font16_226, (font_t *)Font16_227,
	(font_t *)Font16_228, (font_t *)Font16_229, (font_t *)Font16_230, (font_t *)Font16_231,
	(font_t *)Font16_232, (font_t *)Font16_233, (font_t *)Font16_234, (font_t *)Font16_235,
	(font_t *)Font16_236, (font_t *)Font16_237, (font_t *)Font16_238, (font_t *)Font16_239,
	(font_t *)Font16_240, (font_t *)Font16_241, (font_t *)Font16_242, (font_t *)Font16_243,
	(font_t *)Font16_244, (font_t *)Font16_245, (font_t *)Font16_246, (font_t *)Font16_247,
	(font_t *)Font16_248, (font_t *)Font16_249, (font_t *)Font16_250, (font_t *)Font16_251,
	(font_t *)Font16_252, (font_t *)Font16_253, (font_t *)Font16_254, (font_t *)Font16_255
};

font_head_t Shinonome_Font16 = {
	"shinonome_font16",
	0x80,
	0x00,
	16,
	16,
	Font16,
	NULL
};

